Last Comment Bug 175194 - Mozilla 2.0 party
: Mozilla 2.0 party
Status: VERIFIED INVALID
[Plan Early]
:
Product: mozilla.org
Classification: Other
Component: Miscellaneous (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Brian 'netdragon' Bober
: Asa Dotzler [:asa]
Mentors:
http://www.schnitzer.at/mozparty/
Depends on: party 262292
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 23:36 PDT by Brian 'netdragon' Bober
Modified: 2006-12-11 19:24 PST (History)
34 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Brian 'netdragon' Bober 2002-10-17 23:36:39 PDT
Its never too early to start planning for the 2.0 party!!!!

http://www.schnitzer.at/mozparty/ contains Dominik Schnitzer's Mozilla party
script. Can this be beefed up for Mozilla 2.0? It would be cool to have a globe
image where people could click their location and zoom in and it would show
where the nearest party is. It would also be good for determining conflicting
parties by seeing that they are too close on the map. It would also be nice if
the script were designed so people could enter more info about themselves than
just their email, and also each party could be given a mailing list. Perhaps,
Schnitzer's Mozilla Party site could evolve into a Mozilla community site called
mozillaparty.org (why not?) for basic communication amongst Mozilla Community
members on Mozilla and also general topics and a good way to keep in touch and
be able to talk about things that would be off-topic in mozilla.org hosted
forums (chat, news, bugzilla). Also - the script needs to obscure email addys.

Starting to plan ahead of time means that it won't have to be a last minute
thing. It means that we won't go to the party hoping that everything managed to
fall in place (which luckily it did in Torontozilla where I went thanks to some
last-minute hussling by Chris, others and a bit of luck). We did cut it a bit
close in a lot of parties. Wouldn't you all agree? ;-)

Should we have the parties in the same places?
Comment 1 Brian 'netdragon' Bober 2002-10-17 23:53:59 PDT
Chris is also an expert at duckpin bowling. ;-)
Comment 2 Brian 'netdragon' Bober 2002-10-18 00:23:17 PDT
I think we should have all the Mozilla 2.0 parties at places that Mozilla
community members who are under the legal drinking age will be admitted? There
are  bars that stamp people, and we could also just pick places that serve no
liquor. What do you think?

Mozilla 1.0 party was bug 100309.
Comment 3 Christian :Biesinger (don't email me, ping me on IRC) 2002-10-18 04:04:51 PDT
2.0 is far off... it took, iirc, 3 years to reach 1.0.
Comment 4 Ben Bucksch (:BenB) 2002-10-18 04:14:50 PDT
I agree that we should plan early for this party. I has to rock. See, MS is
hiring Kravitz, so we gotta beat that. I suggest to get AOL into the boat, we
can surely get a singer from their Warner Music Group. Becuase they have to many
lawyers, this will take long. That's why we need to start right now. I suggest,
no, I demand, to make this a Mozilla 1.2 blocker.
Comment 5 Sören 'Chucker' Kuklau (gone) 2002-10-18 04:19:02 PDT
Re: Comment #3 From Christian Biesinger 2002-10-18 04:04
> 2.0 is far off... it took, iirc, 3 years to reach 1.0.

Four :-)

But it took less than half a year to get from 1.0 to (nearly) 1.2. Which makes
me suspect 2.0 isn't *that* far off. 2 years, maybe.

And since we all know 1.0 sucked, 2.0 better rulez ;-)
Comment 6 Alex Vincent [:WeirdAl] 2002-10-18 18:53:44 PDT
Suggest we call this party 1.1, not 2.0.  The human race, music, food, and
traffic in San Francisco have not improved enough to call the party 2.0.
Comment 7 Brian 'netdragon' Bober 2003-03-29 09:28:02 PST
We are on 1.4, which means that 2.0 should be -- in theory -- next summer?

Sorry about the fact that this is most likely going to be just a string of 
thought as opposed to a well-formed essay:

I'm going to start putting a little of my time into the planning this maybe a 
few hours a month or something, increasing as we get closer. One thing I 
thought about was that we had too many parties last year. NYC and Boston is 
not necessary, IMHO. They are 3-4 hours apart by car. Even though I live about 
2 hours from each (Hartford, CT), I drove to Toronto - a 12 hour drive. So 
people can handle it, and if its planned early enough -- people will have an 
easier time getting the day off from work, etc.

People might disagree, but I felt too many parties fragments planning and 
makes less people come to each party -- which makes reserving places more 
difficult. For instance, TorontoZilla had maybe 15-25 people actually show up 
as far as I can remember, and most only hung around for a short time. That's 
about half the people that signed up. On the same note, there were also 
parties in Hamilton, ON; Ottawa, ON; Kingston, ON; Quebec, QC (at least, on 
the site). People in Ottawa or Kingston could have gone to Quebec or Toronto 
and Hamilton could have gone to Toronto. I'm not bashing Ottawa or Hamilton, 
or Boston, but NYC is a lot more populous than Boston, and Toronto/Quebec is a 
lot more populous than Kingston or Ottawa. Yet there was no Philidelphia, 
which is much bigger than Boston. I realize that the cities were based on 
where the planners were, but maybe, for instance, the planners of Boston and 
NYC could have worked together. Pretty much all the planning can be done by 
phone with maybe one trip out to see the prospective places. Population of the 
city shouldn't be the only deciding factor. The location is also important. 
Boston is in a location that doesn't make it a very good hub for meeting if 
driving time is a concern because it has a wall of sea on one side. Yes, its 
one of the largest metro regions in the country, but that wall of sea means 
that NYC is better because it is not only reachable by Boston, but also Phili, 
Albany, Hartford, Providence, So. CT, Long Island, New Jersey, and 
Baltimore/DC. Toronto could serve Buffalo, Syracuse, Detroit, so. Ontario, and 
even northern Ohio. Chicago could serve the other half of the great lakes. 
Quebec could serve eastern Canada, and Atlanta -- the south. Phili, actually 
might even be better than NYC -- which is of course debatable. Any reasonably 
sized city is adequate for hosting the parties in terms of sites that you 
could have it at. Any city at least the size of Boston generally has a decent 
nightlife. The questions are: How far do you want to drive, how many Mozilla 
devotees are in your area of the world, how big a party do you feel is 
adequate, and is there a central city in your region that is large enough for 
a party (not necessarily the largest)?

One example of a smaller city as an arguably better location is Philidelphia. 
Philidelphia isn't as large as NYC, but it might be better. It depends how far 
people are willing to drive. Philidelphia could probably serve a lot larger 
area than NYC. On the other hand, instead of using Phili as the hub for DC and 
NYC, you could have parties at NYC and DC instead. The drawback of having 
parties serve a larger area is that less people will come because of the 
driving distance. You get to a point of diminishing returns. The ultimate 
exaggerisation of this would be if you had the party only in Paris. You'd get 
maybe half of Europe coming, and that's it. For instance, Alberta and British 
Columbia Canadians might have to drive a lot longer distance than people in 
the northeast US if they want to have an equal size party -- simply because 
the population base of Mozilla devotees isn't there. Maybe they don't want to 
do this and could settle for a smaller party. And this brings us back to the 4 
questions: How far do you want to drive, how many Mozilla devotees are in your 
area of the world, how big a party do you feel is adequate, and is there a 
central city in your region that is large enough for a party (not necessarily 
the largest)?

There is no correct answer, but there is probably a point where you can select 
the right driving distance to get the largest parties. Its graph would be 
something of a bell curve, with one end meaning less people are willing to 
make the trip, and the other end meaning parties will be smaller, but everyone 
is close to a party, and the center being the sweet spot where most people are 
both happy with the driving distance and party size.

A little research might be necessary to decide good party locations. The first 
bit is finding out where exactly developers/triagers/testers live, and 
graphing that on a world map with colors representing the population density 
for each area.

A second piece of research might be to find out how many people actually 
showed up to each party as compared to how many people signed up, along with 
how many parties actually happened.

A third piece might be to have a poll of how far people are willing to drive.

More people -- of course -- means we will have more money to reserve a better 
place. Maybe an amusement park building -- with beer ;-) or a fun-zone type 
place with lazertron -- with beer ;-) i don't drink, but i know some of you 
can't think of a party without liquor. If you reserve a building in amusement 
park, or fun-zone type place w/ lazerton and basketball courts or something, 
do they need a liquor license if you BYOB and you are the ones there? Maybe we 
want to make alcohol not necessarily a necessity in choosing the location. I 
think its important we at least choose places that are allowed to stamp 
minors. Its not fair to the young developers, like Robert Blake and imajes.

The great thing about large cities is we are more likely to be able to get a 
temporary high-speed wireless connection (McDonald's is giving them away in 
NYC ;-) This means we could have conferencing between cities. We don't 
necessarily have to have the equipment. A simple high-bandwidth uplink to a 
university means that they could do it for us if anyone has the connections. I 
know RPI has this capability if I could get them to agree to it.

The main thing is to plan early so we don't run out of time and have crappy 
parties. The added thing about the party is that if its hopping enough, we can 
do a little promotion of mozilla to people that join in the festivities but 
don't know much about mozilla. For instance, in Toronto a group of people at 
the bar were curious about what Mozilla is. Its great PR. By all means we 
shouldn't disclude people who don't know what Mozilla is ;-)
Comment 8 Robert Accettura [:raccettura] 2003-04-01 12:06:19 PST
Perhaps the 2.0 party can happen on another planet?  By the time Mozilla gets
there, we can share the party with another civilization ;)
Comment 9 P h i l l 2003-04-03 02:43:44 PST
In light of the new roadmap and changes that will happen for 1.5, here's a bug
report to rename 1.5 (or 1.6) to 2.0 to reflect the changes

http://bugzilla.mozilla.org/show_bug.cgi?id=200454

That way we can have the 2.0 party this year!
Comment 10 Brian 'netdragon' Bober 2003-06-25 12:35:21 PDT
That's cheating! Lol!

http://forums.mozillazine.org/viewtopic.php?t=14313 <- Poll on when Mozilla 2.0
will be released :-)
Comment 11 Chris Charabaruk 2003-07-19 22:43:37 PDT
We might never see 2.0, since I keep getting told that 2.0 == major changes API
style (or something to that effect...)

However, perhaps we should party to pseudo-2.0, being when we finally make the
big switch from the application suite to the GRE based standalone apps. That
could be 1.6 (unlikely now that 1.5 is appsuite), 1.7, 1.63?

In any case, Toronto _must_ be designated an official party spot, and I will be
angry at any other parties within 321.8km (200mi). By the way, I assure all that
the next .to.on.ca party will have a better location than Vinnie's. I'll try to
get those rugby girls too... :D
Comment 12 Christian 'CeeJay' Jensen 2004-06-21 12:01:37 PDT
For the time being it would be more relevant to plan a Firefox 1.0 party.
Firefox 1.0 seems sure to happen this year , so you'd better get started already :)
Comment 13 Brian 'netdragon' Bober 2004-06-21 13:11:44 PDT
Argh... I wish Firefox 1.0 weren't coming out so soon. I don't consider it
ready. Changing summary.

Chris: Maybe this time we can have the party up at Lake Simcoe during the day,
and do water stuff?
Comment 14 Chris Charabaruk 2004-06-26 07:53:28 PDT
I don't know about that, it's a pain to get up there from Toronto, at least by 
public transit. But a specific party would probably be better served with it's 
own bug, or better, a mailing list for attendees.
Comment 15 Christian 'CeeJay' Jensen 2004-07-21 14:21:18 PDT
Will there be a Thunderbird 1.0 party too ?
Comment 16 Brian 'netdragon' Bober 2004-07-21 22:59:24 PDT
http://www.schnitzer.at/mozparty/ <- Can this be updated? Can you please add
ability to link to a specific party site?

I think we should have one party for all 3. I think early next summer would be
the best time to schedule for and give us time.

Chris: Are there any parks closer to Toronto with rentable watercraft and such?
Is there any way to reserve an area and watercraft and also allow for
rescheduling in the case of rain?
Comment 17 Brian 'netdragon' Bober 2004-07-21 23:28:17 PDT
For this party, we want to attract attention. I think the parties in the big
metro areas should be in a public place in the open, and have lots of people
present.

People signing up can also invite guests. The cover fee can be collected early
(paypal) and not at the door, including for guests. 

People inviting guests (friends/family) would say the number of guests they are
inviting and pay accordingly.

Banners, music (even if its just a portable stereo), outdoors, in an area that
people will see that something organized is going on.

Have CDs present and extra T-shirts. Parties can design their own t-shirts, or
can use a template that we'll have to create.
Comment 18 Chris Charabaruk 2004-07-22 06:22:02 PDT
I'd think keeping the party in Toronto would be best. But with school and many 
other responsibilities threatening my very existance, I'm not going to manage 
a Toronto party; that's up for grabs.
Comment 19 Brian 'netdragon' Bober 2004-07-22 08:12:17 PDT
I'm going to manage it, but only if we all decide to have the parties next
summer (especially since I go to school in upstate NY) since I can't go to a
party in spring cause of school and this summer is too soon.

I'm also going to work on making a new party sign up site that allows for people
to pay for the party registrations through paypal when they register.

I wonder if there are any park areas with watercraft allowed and a where you are
allowed to swim along Lake Ontario's shore that we could reserve and set up a
canopy.
Comment 20 Chris Charabaruk 2004-07-22 08:26:51 PDT
Don't swim in Lake Ontario. Trust me, you just don't want to.
Comment 21 Brian 'netdragon' Bober 2004-07-22 18:15:14 PDT
Dominik: Could we get the source to your party script so we can improve upon it? 
For instance, the new Mozilla Party page should have a comments section for each
party.

Chris: Swimming near Watertown, NY wasn't that bad, but considering all the
factories on the West of Toronto, Hamilton, and Niagra/Buffalo, I guess it could
be bad around Toronto :-)

hmmmm. The place we went last time was fun, but I'm thinking we should do a
whole new experience this time. I thought about things like a party room at an
amusement park with full-day passes. I think we should choose something that
gives us public exposure, i.e. a park or big amusement area, make it a whole day
event, and make it draw people. Perhaps even a small concert with local bands,
food vendors and tickets for non-Mozilla people abd attract reporters. We need
to get the Mozilla name out there. We have time, so let's think

BBBBB   IIIIIIII    GGGGGG
BB  BB     II      GG
BB  BB     II      GG
BBBBB      II      GG   GGG
BB  BB     II      GG     GG
BB  BB     II      GG     GG
BBBBB   IIIIIIII    GGGGGGG

Perhaps we can use some central planning and do the same kinda thing at every
party. Regardless of where the party is, a concert would draw people. Perhaps we
can even do it with an intention of making a profit with the money being donated
to the Mozilla Foundation.

What would be really cool is if we could telecast the parties over the internet
and have TV screens with camera people that flash the different parties on TV
screens.
Comment 22 Chris Charabaruk 2004-07-23 10:33:46 PDT
Watertown sounds nice, or a party with an admission fee, but I'm a wretched 
penniless college student. I can't even afford a phone line and internet 
access at home. I'm pretty sure that others would also be pretty upset if they 
had to pay to attend a celebration of the product they've worked so hard on.
Comment 23 Brian 'netdragon' Bober 2004-07-23 17:33:20 PDT
I wasn't suggesting Watertown :-)

I was only saying that the water is pretty clean in the East side of Lake
Ontario :-)

> I'm pretty sure that others would also be pretty upset if they 
> had to pay to attend a celebration of the product they've worked so hard on.

I guess that's true. What if we did a small rock concert in a park and let
contributors to the Mozilla project get in for free ("backstage" pass), but then
sold a lot more tickets to regular people? We could then mention Mozilla between
every song, i.e. "The Mozilla Concert now brings you [some obscure group]",
while half the people there didn't have any clue what it is, but hopefully it'd
register in their brains. :-)
Comment 24 Chris Charabaruk 2004-07-27 08:14:09 PDT
All I can say is: ... ?!

It's not really a good idea to rub something like that in so much. That annoys 
people and those people won't like us. It'd probably be best to just have a 
small mutual backscratching society type party again.

I'm signing off on this, though.
Comment 25 Gervase Markham [:gerv] 2004-10-05 10:24:55 PDT
This bug covers two separate parties (at least, Mozilla 2.0 and Firefox 1.0 are
not going to be released anything like at the same time). Bug 262292 covers the
Firefox and Thunderbird 1.0 party specifically.

Gerv
Comment 26 Gervase Markham [:gerv] 2004-10-15 11:22:17 PDT
See http://www.openforce.at/mozparty2/ for the planning of Firefox 1.0 parties.

Gerv
Comment 27 Henrik Gemal 2005-10-20 07:45:17 PDT
shouldn't we have a Firefox 1.5 party? I guess it's released around the 24
november 2005?
Comment 28 Reed Loden [:reed] (use needinfo?) 2006-02-13 14:19:43 PST
(In reply to comment #27)
> shouldn't we have a Firefox 1.5 party? I guess it's released around the 24
> november 2005?

I think they did.

ok, this bug is really out of date. --> INVALID
Comment 29 Jan Steffen 2006-07-19 04:34:14 PDT
With the first Beta of Firefox 2.0 shipped and final release planned for August this year (That's next month!) (see http://wiki.mozilla.org/Firefox2/Schedule ) I think this bug should be reopend.
Comment 30 Mike Beltzner [:beltzner, not reading bugmail] 2006-07-21 13:23:08 PDT
Actually, wait. Sorry. This is invalid. We'd need a new bug for the Firefox 2 party.
Comment 31 Reed Loden [:reed] (use needinfo?) 2006-07-21 13:38:36 PDT
The new bug for planning Firefox 2 parties is bug 345525.
Comment 32 Croco Dil 2006-07-21 13:46:13 PDT
What about planning a Seamonkey 2.0 Party even it's going to be 2010 or so for a SM 2.0 ;-)

Note You need to log in before you can comment on or make changes to this bug.